package com.sd.business.entity.production.dto;

import com.sd.business.entity.production.po.ProductionExceedReceive;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 生产超领新增编辑入参实体
 *
 * @author
 * @since 2023-11-19
 */
@Getter
@Setter
public class ProductionExceedReceiveDto extends ProductionExceedReceive {

    /**
     * 订单sku超领明细
     */
    @NotEmpty(message = "订单sku超领明细列表不能为空")
    private List<ProductionExceedReceiveSkuDto> productionExceedReceiveSkuList;

    /**
     * 超领bom明细
     */
    private List<OutBomDto> productionExceedReceiveBomList;
}
